Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeMBeanException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      javax.management.RuntimeMBeanException

All Implemented Interfaces:
  java.io.Serializable

public class RuntimeMBeanException
extends JMRuntimeException

Represents runtime exceptions thrown by MBean methods in the agent. It "wraps" the actual `java.lang.RuntimeException` exception thrown. This exception will be built by the MBeanServer when a call to an MBean method throws a runtime exception.

See Also:
  Serialized Form

Constructor Summary
`RuntimeMBeanException(java.lang.RuntimeException e)` Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException`.
`RuntimeMBeanException(java.lang.RuntimeException e, java.lang.String message)` Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException` with a detailed message.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the actual `RuntimeException` thrown.
`java.lang.RuntimeException` | `getTargetException()` Returns the actual `RuntimeException` thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeMBeanException

    public RuntimeMBeanException(java.lang.RuntimeException e)

  Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException`.

Parameters:
  `e` - the wrapped exception.

### RuntimeMBeanException

    public RuntimeMBeanException(java.lang.RuntimeException e,
                                 java.lang.String message)

  Creates a `RuntimeMBeanException` that wraps the actual `java.lang.RuntimeException` with a detailed message.

Parameters:
  `e` - the wrapped exception.
  `message` - the detail message.

Method Detail

### getTargetException

    public java.lang.RuntimeException getTargetException()

  Returns the actual `RuntimeException` thrown.

  Returns:
    the wrapped `RuntimeException`.

### getCause

    public java.lang.Throwable getCause()

  Returns the actual `RuntimeException` thrown.

  Returns:
    the wrapped `RuntimeException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.